Name:		star
Version:	1.5a89
Release:	%mkrel 2
Summary:	An archiving tool with ACL support
Source:		ftp://ftp.berlios.de/pub/star/alpha/%{name}-%{version}.tar.bz2
License:	GPLv2+ LGPLv2+ CDDL
Group:		Archiving/Backup
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libattr-devel libacl-devel libext2fs-devel
Prefix:		/usr
Patch1:		star_1.5-ren.diff.bz2

%description
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists. 

WARNING: The programs smt, and rmt have been renamed in
mt-star and rmt-star to avoid conflicts with GNU tar and mt.

%package devel
Summary:        An archiving tool with ACL devel support
Group:          Archiving/Backup

%description devel
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists.

%prep
%setup -q -n star-1.5
%patch1 -p1 -b .rename
# We do not use ext2_fs.h from the glibc library, but from libext2fs2-devel
perl -pi -e 's,<linux/ext2_fs.h>,<ext2fs/ext2_fs.h>,' star/*.c
# lib64 fixes, fed up to file patch
perl -pi -e 's,(INSDIR.+)lib,\1%{_lib},' lib*/*.mk

%build
ln -sf i586-linux-cc.rul RULES/ia64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/amd64-linux-cc.rul
ln -sf i686-linux-cc.rul RULES/athlon-linux-cc.rul
perl -pi -e 's,/usr/src/linux/include,,' DEFAULTS/Defaults.linux
perl -pi -e 's,^LDPATH=.*,LDPATH=,' DEFAULTS/Defaults.linux
perl -pi -e 's,^RUNPATH=.*,RUNPATH=,' DEFAULTS/Defaults.linux
perl -pi -e 's,^INS_BASE=.*,INS_BASE=\t\$\(RPM_INSTALLDIR\)\/usr,' DEFAULTS/Defaults.linux
perl -pi -e 's,^INS_KBASE=.*,INS_KBASE=\t\$\(RPM_INSTALLDIR\),' DEFAULTS/Defaults.linux
perl -pi -e 's,bin$,root,' DEFAULTS/Defaults.linux
perl -pi -e "s/^XK_ARCH:=.*/XK_ARCH:=   %{_target_cpu}/" RULES/mk-gmake.id
./Gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
./Gmake "INS_BASE=${RPM_BUILD_ROOT}/%{prefix}" install MANDIR=share/man

# The following files conflict with GNU tar & mtr
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/{,us}tar
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/mt
rm -f ${RPM_BUILD_ROOT}/%{_mandir}/man1/match.1
mv ${RPM_BUILD_ROOT}/%{_bindir}/smt ${RPM_BUILD_ROOT}/%{_bindir}/mt-star
mv ${RPM_BUILD_ROOT}/%{_sbindir}/rmt ${RPM_BUILD_ROOT}/%{_sbindir}/rmt-star
mv ${RPM_BUILD_ROOT}/%{_mandir}/man1/rmt.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/rmt-star.1
# The following devel files conflict with cdrecord
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/avoffset.h
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libdeflt.a
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libschily.a
# TODO: To clean:
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/default
mv ${RPM_BUILD_ROOT}/%{_prefix}%{_sysconfdir}/default/* ${RPM_BUILD_ROOT}/%{_sysconfdir}/default

# fwang: I don't know why it installs to here
rm -f ${RPM_BUILD_ROOT}%{_datadir}/doc/rmt/default-rmt.sample

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AN-%{version} README COPYING
%doc READMEs/README.linux star/README.*
%doc star/STARvsGNUTAR
%doc rmt/default-rmt.sample
%doc STATUS.alpha TODO
%{_sysconfdir}/default/star
%{_sysconfdir}/default/rmt
%{_bindir}/gnutar
%{_bindir}/tartest
%{_bindir}/mt-star
%{_bindir}/scpio
%{_bindir}/spax
%{_bindir}/star
%{_bindir}/star_sym
%{_bindir}/suntar
%{_sbindir}/rmt-star
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root)
%{_includedir}/schily/*.h
%{_includedir}/schily/*/*.h
%{_libdir}/lib*.a
%{_libdir}/profiled/*.a
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5a89-2mdv2009.0
+ Revision: 269347
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Funda Wang <fundawang@mandriva.org> 1.5a89-1mdv2009.0
+ Revision: 194533
- New version 1.5a89

* Fri Mar 07 2008 Erwan Velu <erwan@mandriva.org> 1.5a88-1mdv2008.1
+ Revision: 181251
- 1.5a88
- 1.5a88

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Funda Wang <fundawang@mandriva.org> 1.5a87-2mdv2008.1
+ Revision: 107075
- rebuild for new lzma

* Tue Oct 30 2007 Funda Wang <fundawang@mandriva.org> 1.5a87-1mdv2008.1
+ Revision: 103945
- update to new version 1.5a87

* Fri Oct 12 2007 Funda Wang <fundawang@mandriva.org> 1.5a86-1mdv2008.1
+ Revision: 97644
- New version 1.5a86

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1.5a84-1mdv2008.0
+ Revision: 77357
- remove a unknow doc file :(
- fix doc files dir
- New version 1.5a84

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

* Mon May 14 2007 Erwan Velu <erwan@mandriva.org> 1.5a79-1mdv2008.0
+ Revision: 26714
- 1.5a79
- Import star



* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5a73-1mdk
- New release 1.5a73

* Wed Dec 14 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.5a70-1mdk
- 1.5a70

* Tue Sep 14 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.5a47-1mdk
- 1.5a47

* Wed Aug 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5a41-3mdk
- lib64 fixes

* Tue Jun 22 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.5a41-2mdk
- remove some conflicts files from cdrecord in the devel

* Mon Jun 21 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.5a41-1mdk
- First mdk package created using the same name changements as in the debian
package which have been done by Pawel Wiecek <coven@debian.org>
